# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative 'lib/gem_codebreaker/version'

Gem::Specification.new do |spec|
  spec.name          = 'GemCodebreaker'
  spec.version       = GemCodebreaker::VERSION
  spec.authors       = ['Vasyl']
  spec.email         = ['wkichira@gmail.com']

  spec.summary       = 'Codebreaker Game'
  spec.description   = 'This gem for Codebreaker Game'
  spec.homepage      = 'https://github.com/vasivaas/GemCodebreaker'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/vasivaas/GemCodebreaker'

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_development_dependency 'fasterer', '~> 0.8.3'
  spec.add_dependency 'i18n', '~> 1.8.3'
  spec.add_development_dependency 'rake', '~> 13.0.1'
  spec.add_development_dependency 'rspec', '~> 3.7.0'
  spec.add_development_dependency 'rubocop', '~> 0.84.0'
  spec.add_development_dependency 'rubocop-performance', '~> 1.6.1'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.41.0'
  spec.add_development_dependency 'simplecov', '~> 0.18.5'
end
